// Copyright 2017-21 the original author or authors.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package pbf

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestElementTypeString(t *testing.T) {
	assert.Equal(t, "NODE", NODE.String())
	assert.Equal(t, "WAY", WAY.String())
	assert.Equal(t, "RELATION", RELATION.String())

	assert.Equal(t, "ElementType(-1)", (NODE - 1).String())
	assert.Equal(t, "ElementType(3)", (RELATION + 1).String())
}
